<template>
  <div class="service_offering">
    <div class="service_offering__image">
      <ServiceImage :service="service" />
    </div>
    <div class="service_offering__details">
      <div>
        <h3 class="title is-4">{{ service.name }}</h3>
        <h4
          v-if="service.metadata.providerDisplayName"
          class="subtitle is-6"
        >{{ service.metadata.providerDisplayName }}</h4>
        <p>{{ service.description }}</p>
      </div>
      <div v-if="service.tags" class="tags service_offering__tags">
        <span v-for="tag in service.tags" :key="tag" class="tag is-primary">{{ tag }}</span>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { Component, Vue, Prop } from "vue-property-decorator";
import { CatalogItem } from "@/services/osb/catalog";
import ServiceImage from "@/components/ServiceImage.vue";
import _ from "lodash";

@Component({
  components: {
    ServiceImage
  }
})
export default class ServiceOfferingOverview extends Vue {
  @Prop() public service!: CatalogItem;

  _ = _;
}
</script>

<style lang="scss" scoped>
.service_offering {
  display: grid;
  height: 100%;
  grid-template-columns: 1fr;
  padding-bottom: 25px;
  grid-template-areas:
    "version"
    "image"
    "details"
    "metadata";

  @include media(">tablet") {
    grid-template-columns: 150px 1fr 200px;
    grid-template-areas:
      "image    details    details"
      ".        metadata        . ";
  }

  &__image {
    grid-area: image;
  }

  &__details {
    grid-area: details;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    margin-left: 50px;
    width: 100%;
  }

  &__abstract {
    grid-area: abstract;
    text-align: center;
  }

  &__version {
    grid-area: version;
  }

  &__version,
  &__image {
    display: flex;
    justify-content: center;
  }

  .tags {
    justify-content: flex-end;
  }
}
</style>
